Bug 725930 - Help -> Online Documentation link is outdated
Help -> Online Documentation link is outdated
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.1
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: Ian Springer
Mike Foley
:
Depends On:
Blocks: rhq41 rhq41-ui
  Show dependency treegraph
 
Reported: 2011-07-26 22:20 EDT by David Jorm
Modified: 2014-10-20 20:01 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:26:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Jorm 2011-07-26 22:20:02 EDT
Description of problem:
Help -> Online Documentation links to http://www.redhat.com/docs/en-US/JBoss_ON/. This redirects to the root of http://docs.redhat.com/en-US/, losing the product context. The link should point to http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/
Comment 1 John Mazzitelli 2011-08-16 16:43:03 EDT
this is a JON issue.
Comment 2 Ian Springer 2011-08-17 12:55:46 EDT
The URL was actually hard-coded in the perspective server plugin descriptor (used by portal-war to generate its top menu). The portal-war menu is obsolete at this point, but I still fixed the URL in case we ever want to cherry-pick the fix back to some CP branch - [master f1b6abd].

Ideally, there should not be in any links to JON/product URLs anywhere in the RHQ GUI. This needs some work in coregui, where we currently have one or two links to the JON docs.
Comment 3 Mike Foley 2012-02-07 14:26:55 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE
Comment 4 whittier4405 2012-08-13 16:49:51 EDT
This still has not been fixed.  The link goes to the https://access.redhat.com/knowledge/docs/ page.

Note You need to log in before you can comment on or make changes to this bug.